#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Encode
Summary:	Encode - character encodings
Summary(pl.UTF-8):	Encode - kodowania znaków
Name:		perl-Encode
Version:	2.78
Release:	1
Epoch:		2
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Encode/%{pdir}-%{version}.tar.gz
# Source0-md5:	22706544f1744e60b578cad03eb34bbd
URL:		http://search.cpan.org/dist/Encode/
BuildRequires:	perl-devel >= 1:5.8.0
%{?with_tests:BuildRequires:	perl-parent >= 0.221}
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-parent >= 0.221
Obsoletes:	perl-Encode-compat
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Encode module provides the interfaces between Perl's strings and
the rest of the system.

%description -l pl.UTF-8
Moduł Encode udostępnia interfejs pomiędzy łańcuchami w wewnętrznym
formacie Perla a resztą systemu.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{perl_vendorlib}/Encode

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS Changes README
%attr(755,root,root) %{_bindir}/enc2xs
%attr(755,root,root) %{_bindir}/encguess
%attr(755,root,root) %{_bindir}/piconv
%{perl_vendorarch}/Encode.pm
%{perl_vendorarch}/encoding.pm
# FIXME: *.h to devel(?), check out the use for *.e2x files
%{perl_vendorarch}/Encode
%dir %{perl_vendorarch}/auto/Encode
%attr(755,root,root) %{perl_vendorarch}/auto/Encode/Encode.so
%dir %{perl_vendorarch}/auto/Encode/Byte
%attr(755,root,root) %{perl_vendorarch}/auto/Encode/Byte/Byte.so
%dir %{perl_vendorarch}/auto/Encode/CN
%attr(755,root,root) %{perl_vendorarch}/auto/Encode/CN/CN.so
%dir %{perl_vendorarch}/auto/Encode/EBCDIC
%attr(755,root,root) %{perl_vendorarch}/auto/Encode/EBCDIC/EBCDIC.so
%dir %{perl_vendorarch}/auto/Encode/JP
%attr(755,root,root) %{perl_vendorarch}/auto/Encode/JP/JP.so
%dir %{perl_vendorarch}/auto/Encode/KR
%attr(755,root,root) %{perl_vendorarch}/auto/Encode/KR/KR.so
%dir %{perl_vendorarch}/auto/Encode/Symbol
%attr(755,root,root) %{perl_vendorarch}/auto/Encode/Symbol/Symbol.so
%dir %{perl_vendorarch}/auto/Encode/TW
%attr(755,root,root) %{perl_vendorarch}/auto/Encode/TW/TW.so
%dir %{perl_vendorarch}/auto/Encode/Unicode
%attr(755,root,root) %{perl_vendorarch}/auto/Encode/Unicode/Unicode.so
%dir %{perl_vendorlib}/Encode
%{_mandir}/man1/enc2xs.1*
%{_mandir}/man1/encguess.1*
%{_mandir}/man1/piconv.1*
%{_mandir}/man3/Encode*.3pm*
%{_mandir}/man3/encoding.3pm*
%changelog
* Sat Jan 02 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Encode.git;a=log;h=master

* Tue Dec 29 2015 Jakub Bogusz <qboosh@pld-linux.org> 65278bf
- updated to 2.78

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 30827c7
- release 2 (by relup.sh)

* Fri May 08 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 2ec7090
- Epoch 2, so it can be installed over perl.spec Encode module

* Fri May 08 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> e2c52a8
- up to 2.73

* Sun Mar 01 2015 Jakub Bogusz <qboosh@pld-linux.org> 2bd60be
- versioned perl-parent dependency

* Sat Feb 28 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> e247279
- up to 2.70

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 31c5cb8
- x32 rebuild
- release 2 (by relup.sh)

* Sun Oct 26 2014 Jakub Bogusz <qboosh@pld-linux.org> 49f5951
- updated to 2.63

* Mon Sep 22 2014 Łukasz Kieś <kiesiu@pld-linux.org> 3027865
- updated to 2.62

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 38a5aeb
- removed zero-sized .bs file

* Thu Oct 10 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> b72dbff
- up to 2.55

* Mon Jan 23 2012 zbyniu <zbyniu@pld-linux.org> 6ffce9f
- dir %{perl_vendorlib}/Encode added here, all packages using it needs also perl-Encode; rel 2

* Mon Nov 07 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 22049bb
- up to 2.44

* Thu Jun 02 2011 Caleb Maclennan <caleb@alerque.com> 6b46b10
- Up to 2.43

* Thu Feb 24 2011 Jakub Bogusz <qboosh@pld-linux.org> d0f82ce
- unified Source URL

* Tue Jan 04 2011 Caleb Maclennan <caleb@alerque.com> 28481fe
- Up to 2.42

* Sun Dec 05 2010 Jakub Bogusz <qboosh@pld-linux.org> 2939b82
- verbose bin files

* Mon Nov 08 2010 Caleb Maclennan <caleb@alerque.com> 95f92a6
- Up to 2.40

* Wed Nov 03 2010 shadzik <shadzik@pld-linux.org> ef3b3f7
- rel 3

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> da68c06
- release 2

